<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Opt extends CI_Controller {

	function __construct(){
		parent::__construct();
        	$this->load->helper('url');
        	$this->load->helper('form');
                $this->load->library('session'); //加载session
		$this->load->model('CsdjDB');
		$this->load->model('CsdjSkins');
		$this->load->model('CsdjCache');
	}

	public function mold()
	{
            $data='';
            $op = $this->uri->segment(3);   //方式
                
            if(empty($op)){
                exit($this->CsdjSkins->Msg_url('出错了，参数错误，没有模型！',Web_Path));
            }

	    $cache_id ="opt_".$op;
            $mb="opt-".$op.".html";
	    if(!($this->CsdjCache->start($cache_id))){

                $this->load->get_templates();
		$template=$this->load->view($mb,$data,true);
                $this->CsdjSkins->skins($template,$data);
		$this->CsdjCache->end();
	    }
	}
}


